package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PoNewsFileMapper;
import com.ruoyi.system.domain.PoNewsFile;
import com.ruoyi.system.service.IPoNewsFileService;

/**
 * 信息文件Service业务层处理
 *
 * @author ruoyi
 * @date 2023-01-25
 */
@Service
public class PoNewsFileServiceImpl implements IPoNewsFileService
{
    @Autowired
    private PoNewsFileMapper poNewsFileMapper;

    /**
     * 查询信息文件
     */
    @Override
    public PoNewsFile selectPoNewsFileByFileId(Long fileId)
    {
        return poNewsFileMapper.selectPoNewsFileByFileId(fileId);
    }

    /**
     * 查询信息文件列表
     */
    @Override
    public List<PoNewsFile> selectPoNewsFileList(PoNewsFile poNewsFile)
    {
        return poNewsFileMapper.selectPoNewsFileList(poNewsFile);
    }

    /**
     * 新增信息文件
     */
    @Override
    public int insertPoNewsFile(PoNewsFile poNewsFile)
    {
        return poNewsFileMapper.insertPoNewsFile(poNewsFile);
    }

    /**
     * 修改信息文件
     */
    @Override
    public int updatePoNewsFile(PoNewsFile poNewsFile)
    {
        return poNewsFileMapper.updatePoNewsFile(poNewsFile);
    }

    /**
     * 批量删除信息文件
     */
    @Override
    public int deletePoNewsFileByFileIds(Long[] fileIds)
    {
        return poNewsFileMapper.deletePoNewsFileByFileIds(fileIds);
    }

    /**
     * 删除信息文件信息
     */
    @Override
    public int deletePoNewsFileByFileId(Long fileId)
    {
        return poNewsFileMapper.deletePoNewsFileByFileId(fileId);
    }
}
